Bug 858652 - vdsm: migration of vm fails with FQDN error in vdsm 4.9-113.3 but succeeds with vdsm 4.9.6-32.0
vdsm: migration of vm fails with FQDN error in vdsm 4.9-113.3 but succeeds wi...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
high Severity medium
: rc
: ---
Assigned To: Michal Skrivanek
Haim
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 06:26 EDT by Dafna Ron
Modified: 2014-01-12 19:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 17:35:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log (864.08 KB, application/x-xz)
2012-09-19 06:26 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-09-19 06:26:36 EDT
Created attachment 614303 [details]
vdsm log

Description of problem:

I have a host which is added with correct FQDN but the host name in the host still appears as localhost. 
when I have vdsm 4.9-113.3 I fail to migrate vm's to the host with the below error: 

libvirtError: internal error hostname on destination resolved to localhost, but migration requires an FQDN

but in vdsm  vdsm 4.9-32.0 I succeed to migrate. 

Version-Release number of selected component (if applicable):

vdsm 4.9-113.3
vdsm 4.9-32.0
si18

How reproducible:

100%

Steps to Reproduce:
1. have two hosts both registered in DHCP with correct host name 
2.  1host should still be called localhost (local). 
3. install hosts in a 3.0 cluster with vdsm 4.9-113.3 using FQDN name and not IP
4. create and run vm's -> try to migrate vm's to the host which is called localhost 
  
Actual results:

we fail migration in vdsm 4.9-113.3
after upgrading vdsm to vdsm 4.9-32.0 we are able to migrate the vm. 

Expected results:

we should be able to migrate the vms in both vdsm versions. 


Additional info: vdsm log with both failed migration and success. 


succeeds: 

Thread-1470::DEBUG::2012-09-19 11:52:24,350::BindingXMLRPC::864::vds::(wrapper) client [10.35.97.65]::call vmMigrate with ({'src': 'gold-vdsd.qa.lab.tlv.redhat.com', 'dst': 'gold-vdsc.qa.lab.tlv.redhat.com:54321', 'vmId': 'ecbfaeed-0b8f
-4639-82a6-021f4239f975', 'method': 'online'},) {} flowID [6c5a60ae]
Thread-1470::DEBUG::2012-09-19 11:52:24,351::API::421::vds::(migrate) {'src': 'gold-vdsd.qa.lab.tlv.redhat.com', 'dst': 'gold-vdsc.qa.lab.tlv.redhat.com:54321', 'vmId': 'ecbfaeed-0b8f-4639-82a6-021f4239f975', 'method': 'online'}
Thread-1470::DEBUG::2012-09-19 11:52:24,354::BindingXMLRPC::870::vds::(wrapper) return vmMigrate with {'status': {'message': 'Migration process starting', 'code': 0}}


failed: 

Thread-1850::DEBUG::2012-09-19 10:47:20,010::clientIF::54::vds::(wrapper) [10.35.97.65]::call migrate with ({'src': 'gold-vdsd.qa.lab.tlv.redhat.com', 'dst': 'gold-vdsc.qa.lab.tlv.redhat.com:54321', 'vmId': 'ecbfaeed-0b8f-4639-82a6-021f
4239f975', 'method': 'online'},) {}
Thread-1850::DEBUG::2012-09-19 10:47:20,013::clientIF::357::vds::(migrate) {'src': 'gold-vdsd.qa.lab.tlv.redhat.com', 'dst': 'gold-vdsc.qa.lab.tlv.redhat.com:54321', 'vmId': 'ecbfaeed-0b8f-4639-82a6-021f4239f975', 'method': 'online'}
Thread-1850::DEBUG::2012-09-19 10:47:20,018::clientIF::59::vds::(wrapper) return migrate with {'status': {'message': 'Migration process starting', 'code': 0}}
Comment 3 Itamar Heim 2012-09-20 17:35:55 EDT
3.0 doesn't support migration without full fqdn.
3.1 does and removed the specific error log. no change in behavior of live migratoin itself in 3.0 mode)

Note You need to log in before you can comment on or make changes to this bug.